// this extension is required for ExoPlayer textures, but will NOT be ALLOWED for Windows
#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform samplerExternalOES tex_sampler;
uniform float scalarR;
uniform float scalarG;
uniform float scalarB;
varying vec2 uv;

void main() {
  vec4 videoColor = texture2D(tex_sampler, uv);

  videoColor.r *= scalarR;
  videoColor.g *= scalarG;
  videoColor.b *= scalarB;
  videoColor.a  = 1.0;

  gl_FragColor = videoColor;
}